Page MenuHomePhabricator

Map controls should be fixed relative to viewport
Open, LowPublic

Description

All map controls such as zoom in/out (plus/minus) and later - editing controls should be fixed relative to the map viewport, not the map container.

For example, when editing the map at vem3.wmflabs.org home page, in the editor dialog the map is bigger than the viewport. The map has a number of controls (at this point - only two - the zoom in and zoom out [+][-] buttons). If I scroll the map (using the scrollbars or mousewheel), the zoom controls would move out of the view. If we enable editing buttons, they will be more important to always stay visible.

Event Timeline

Yurik created this task.Feb 7 2016, 2:12 PM
Yurik updated the task description. (Show Details)
Yurik raised the priority of this task from to Low.
Yurik added a project: Maps (Kartographer).
Yurik added subscribers: Yurik, Esanders, MaxSem.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2016, 2:12 PM
Yurik added a project: Maps.Feb 7 2016, 5:00 PM
Restricted Application added a project: Discovery. · View Herald TranscriptFeb 7 2016, 5:00 PM
Yurik moved this task from All map-related tasks to Kartographer on the Maps board.Feb 7 2016, 9:57 PM
Johsthao closed this task as a duplicate of T126250: <spam>.Feb 8 2016, 6:24 PM
JEumerus reopened this task as Open.Feb 8 2016, 6:30 PM
JEumerus set Security to None.

Can you clarify?

Yurik updated the task description. (Show Details)Feb 8 2016, 9:00 PM

@Esanders, I updated the description.

EBernhardson moved this task from Needs triage to Maps on the Discovery board.Feb 11 2016, 11:18 PM
Yurik removed a project: Maps.Dec 15 2016, 4:40 AM